Summary: A small utility for safely making /tmp files.
Name: mktemp
%define version 1.5
Version: %{version}
Release: 5
Copyright: BSD
Group: System Environment/Base
Source: ftp://ftp.openbsd.org/pub/OpenBSD/src/usr.bin/mktemp-%{version}.tar.gz
Patch0: mktemp-1.5-linux.patch
Patch1: mktemp-1.5-man.patch
Patch2: mktemp-1.5-mandir.patch
Patch3: mktemp-1.5-ia64.patch
Url: http://www.openbsd.org
Buildroot: %{_tmppath}/%{name}-root

%description
The mktemp utility takes a given file name template and overwrites a
portion of it to create a unique file name.  This allows shell scripts
and other programs to safely create and use /tmp files.

Install the mktemp package if you need to use shell scripts or other
programs which will create and use unique /tmp files.

%prep
%setup
%patch0 -p1 -b .linux
%patch1 -p1 -b .man
%patch2 -p1 -b .mandir
%ifarch ia64
%patch3 -p1 -b .ia64
%endif

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make ROOT="$RPM_BUILD_ROOT" mandir=%{_mandir} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/mktemp
/%{_mandir}/man1/mktemp.*

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- re-enable the -d option, because glibc provides a mkdtemp() function now
  (except for ia64)

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- FHS packaging
- fixed non root build

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- sync'd man page with openbsd latest, and updated it for some Linux-specific
  changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- moved to /bin

